<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.laolang.zentao4j.modules.system.mapper.SysUserMapper">

  <resultMap id="SysUserDtoResultMap" type="com.laolang.zentao4j.modules.system.dto.SysUserDto">
    <id column="id" property="id" />
    <result column="username" property="username" />

    <association property="dept" javaType="com.laolang.zentao4j.modules.system.dto.SysUserDto$DeptBean">
      <id column="dept_id" property="id" />
      <result column="dept_name" property="name" />
    </association>
  </resultMap>

  <select id="selectById" resultMap="SysUserDtoResultMap">
    select
      t1.id ,
      t1.username ,
      t1.dept_id ,
      t2.name dept_name
    from
      sys_user t1
    left join sys_dept t2 on
      t1.dept_id = t2.id
    where
    t1.id = #{id}
  </select>
</mapper>